get
https://partner.gupshup.io/partner/app//details
Use this API to fetch the app details based on appId.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Parameters
| Key | Description | Constraints | Required/Optional | Type | Value |
|---|---|---|---|---|---|
| PARTNER_TOKEN | JWT Token issues post Partner login | Should be a valid Partner JWT Token. | String | ||
| appId | id of the app for which data is to be fetched |
| String |
Sample Request
curl --location --request GET '{{partner_portal_base_url}}/partner/app/:appId/details' \
--header 'token: {{PARTNER_TOKEN}}'Sample Response
{
"app": {
"allowNonPersistentTokens": false,
"businessId": "7821169513xxxx4",
"createdOn": 1775582754334,
"disableAppApikey": false,
"disableGlobalApikey": false,
"disableOptinPrefUrl": true,
"embedAllowed": true,
"federated": false,
"id": "04505006-xxxx-4d88-xxxx-025205c59245",
"languageCode": "en_US",
"live": true,
"liveTs": 1775766789087,
"localStorageRegion": "DEFAULT",
"modifiedOn": 1775766789102,
"name": "testapp",
"namespace": "5434b916_c3e4_xxxx_xxxx_6f866abc11a3",
"newBillingEnabled": true,
"phone": "5465767886455",
"phoneId": "1434588789796",
"provider": "OD",
"stopped": false,
"storageRegion": "FBC",
"templateMessaging": true,
"type": "apicallbackpost",
"version": 2
},
"status": "success"
}Status Codes
| Status Code | Response | Comment |
|---|---|---|
| Success | ||
| 200 | { "status": "success", "appDetails": { "billingType": "\<POSTPAID,PREPAID>", "createdOn": <timestamp>, "callbackUrl": "\<callback_url>", //if set "disableOptinPrefUrl": \<true/false>, "embedAllowed": \<true/false>, "federated": \<true/false>, "id": "\<app_id>", "languageCode": "\<language_code>", "live": \<true/false>, "liveTs": <timestamp>, "modifiedOn": <timestamp>, "name": "\<app_name>", "phone": "phone", "stopped": \<true/false>, "storageRegion": "\<BR, DE, CH, GB, BH, ZA, AE, US, CA, AU, ID, IN, JP, SG, KR>", "templateMessaging": \<true/false>, "type": "apicallbackpost", "version": \<0,1,2> }, "app": "true" } | |
| Error | ||
| 400 | { "status":"error", "message/data":"<Specific to API>" } | Either the request parameter type or HTTP request type is incorrect |
| 401 | { "status":"error", "message":"Unauthorized Access" } | If the token is incorrect or forbidden. |
| 403 | { "status":"error", "message":"Unauthorized Access" } | When app does not belong to the Partner |
| 429 | { "status": "error", "message": "Too Many Requests" } | When the rate limit is exceeded |
